package com.demo.test.entity.type;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.IEnum;

public enum BizType implements IEnum<String> {

    COMMON("common", "通用");

    BizType(String value, String name) {
        this.value = value;
        this.name = name;
    }

    @EnumValue
    private final String value;
    private final String name;

    @JSONField(value = true)
    public String getValue() {
        return value;
    }

    public String getName() {
        return name;
    }

    public static void test123() {}
}
